Update subscriber details
curl --request PUT \
--url https://olive-gateway-a6ba.onrender.com/api/v1/subscribers/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "456 New St",
"category": "vip",
"district": "Western Rural",
"email": "newemail@example.com",
"id_back_url": "s3://bucket/kyc/subscriber-id/id-back/file.jpg",
"id_front_url": "s3://bucket/kyc/subscriber-id/id-front/file.jpg",
"kyc_level": 2,
"max_child_cards": 100,
"national_id": "ID123456789",
"relationship_manager_id": 1,
"vult_wallet_id": "VULT123456"
}
'const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '456 New St',
category: 'vip',
district: 'Western Rural',
email: 'newemail@example.com',
id_back_url: 's3://bucket/kyc/subscriber-id/id-back/file.jpg',
id_front_url: 's3://bucket/kyc/subscriber-id/id-front/file.jpg',
kyc_level: 2,
max_child_cards: 100,
national_id: 'ID123456789',
relationship_manager_id: 1,
vult_wallet_id: 'VULT123456'
})
};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/subscribers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/subscribers/{id}"
payload = {
"address": "456 New St",
"category": "vip",
"district": "Western Rural",
"email": "newemail@example.com",
"id_back_url": "s3://bucket/kyc/subscriber-id/id-back/file.jpg",
"id_front_url": "s3://bucket/kyc/subscriber-id/id-front/file.jpg",
"kyc_level": 2,
"max_child_cards": 100,
"national_id": "ID123456789",
"relationship_manager_id": 1,
"vult_wallet_id": "VULT123456"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){}{}{}Subscribers
Update subscriber details
Update subscriber information including KYC level and VULT wallet ID
PUT
/
subscribers
/
{id}
Update subscriber details
curl --request PUT \
--url https://olive-gateway-a6ba.onrender.com/api/v1/subscribers/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "456 New St",
"category": "vip",
"district": "Western Rural",
"email": "newemail@example.com",
"id_back_url": "s3://bucket/kyc/subscriber-id/id-back/file.jpg",
"id_front_url": "s3://bucket/kyc/subscriber-id/id-front/file.jpg",
"kyc_level": 2,
"max_child_cards": 100,
"national_id": "ID123456789",
"relationship_manager_id": 1,
"vult_wallet_id": "VULT123456"
}
'const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '456 New St',
category: 'vip',
district: 'Western Rural',
email: 'newemail@example.com',
id_back_url: 's3://bucket/kyc/subscriber-id/id-back/file.jpg',
id_front_url: 's3://bucket/kyc/subscriber-id/id-front/file.jpg',
kyc_level: 2,
max_child_cards: 100,
national_id: 'ID123456789',
relationship_manager_id: 1,
vult_wallet_id: 'VULT123456'
})
};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/subscribers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/subscribers/{id}"
payload = {
"address": "456 New St",
"category": "vip",
"district": "Western Rural",
"email": "newemail@example.com",
"id_back_url": "s3://bucket/kyc/subscriber-id/id-back/file.jpg",
"id_front_url": "s3://bucket/kyc/subscriber-id/id-front/file.jpg",
"kyc_level": 2,
"max_child_cards": 100,
"national_id": "ID123456789",
"relationship_manager_id": 1,
"vult_wallet_id": "VULT123456"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){}{}{}Authorizations
ApiKeyAuthBearerAuth
API Key for third-party integrations (WhatsApp, Smart PAY, VULT). Format: 'Bearer olive_live_xxxxxxxxxxxxx'
Path Parameters
Subscriber ID
Body
application/json
Update details
Example:
"456 New St"
Example:
"vip"
Example:
"Western Rural"
Example:
"newemail@example.com"
Example:
"s3://bucket/kyc/subscriber-id/id-back/file.jpg"
Example:
"s3://bucket/kyc/subscriber-id/id-front/file.jpg"
Example:
2
Example:
100
Example:
"ID123456789"
Example:
1
Example:
"VULT123456"
Response
Update successful
The response is of type object.
⌘I